# Rust语言圣经(The course)

- 官方地址： https://course.rs
- 知乎专栏： https://www.zhihu.com/people/iSunface/columns
- 修订时间： **尚未发行**
- Rust版本： Rust edition 2021
- QQ交流群: 1009730433

### 教程简介
`Rust语言圣经`涵盖从**入门到精通**所需的全部Rust知识，目录及内容都经过深思熟虑的设计，同时语言生动幽默，行文流畅自如，摆脱技术书籍常有的机器味和晦涩感。

在Rust基础教学的同时，我们还提供了：
- **深入度**, 在基础教学的同时, 提供了深入剖析, 浅尝辄止并不能让我们站上紫禁之巅
- **性能优化**，选择Rust, 意味着就要追求性能, 因此你需要体系化的了解性能优化
- **专题**，将Rust高级内容通过专题的方式一一呈现，内容内聚性极强
- **难点索引**，作为一本工具书，优秀的索引能力非常重要，遗忘不可怕，找不到才可怕
- **场景化模版**，程序员上网查询如何操作文件是常事，没有人能记住所有代码,场景化模版可解君忧
- **开源库推荐**, 根据场景推荐高质量的开源库，降低Rust上手门槛

总之在写作过程中我们始终铭记初心：为中国用户打造一本**全面的、深入的、持续更新的**Rust教程。 新手用来入门，老手用来提高，高手用来提升生产力。

### 感谢
本书在内容上部分借鉴了以下书籍，特此感谢：
- [Rust Book](https://doc.rust-lang.org/book)
- [Cargo Book](https://doc.rust-lang.org/cargo/index.html)
- [Perf Book](https://nnethercote.github.io/perf-book/title-page.html)
- [Async Book](https://rust-lang.github.io/async-book/01_getting_started/01_chapter.html)
详细清单参见[这里](https://github.com/sunface/rust-course/blob/main/writing-material/books.md)

### 开源说明
Rust语言圣经是**完全开源**的电子书, 每个章节都至少用时4-6个小时才能初步完稿，牺牲了大量休闲娱乐、陪伴家人的时间，还没有任何钱赚，**如果大家觉得这本书作者真的用心了，希望你能帮我们点一个`star`**，感激不尽：）

在开源版权上，我们选择了[No License](https://www.google.com.hk/url?sa=t&rct=j&q=&esrc=s&source=web&cd=&ved=2ahUKEwigkv-KtMT0AhXFdXAKHdI4BCcQFnoECAQQAw&url=https%3A%2F%2Fchoosealicense.com%2Fno-permission%2F&usg=AOvVaw3M2Q4IbdhnpJ2K71TF7SPB)，这意味着读者可以随意的fork和阅读，但是**不能私下修改后再包装分发**，如果有这方面的需求，请联系我们，我们不会收钱，只是希望知道谁通过什么方式分发了这本书的部分内容，望理解.


### Rust社区
与国外的Rust发展如火如荼相比，国内的近况不是特别理想。导致目前这种状况的原因，我个人认为有以下几点原因：
1. 上手难度大，学习曲线陡峭
2. 英文资料难学(阅读较难的技术内容，需要精准阅读，因此对外语能力要求较高)，中文资料也不太好学(内容全面度、实时性，晦涩难懂等)
3. 没有体系化的学习路线，新人往往扫完一遍入门书籍，就不知道何去何从

为此，我整了一本书和一个社区，欢迎大家的加入:
- QQ群：1009730433
